package com.zcloud.primeport.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.primeport.dto.ClosedAreaAddCmd;
import com.zcloud.primeport.dto.ClosedAreaCountCmd;
import com.zcloud.primeport.dto.ClosedAreaPageQry;
import com.zcloud.primeport.dto.ClosedAreaUpdateCmd;
import com.zcloud.primeport.dto.clientobject.ClosedAreaCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.clientobject.ClosedAreaCountCO;

/**
* web-client
* @Author dearLin
* @Date 2026-03-19 10:27:51
*/
public interface ClosedAreaServiceI {
    ClosedAreaCO  queryById(Long id);
    
    PageResponse<ClosedAreaCO> listPage(ClosedAreaPageQry qry);

    SingleResponse<ClosedAreaCO> add(ClosedAreaAddCmd cmd);

    void edit(ClosedAreaUpdateCmd cmd);

    MultiResponse<ClosedAreaCountCO> count(ClosedAreaCountCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    MultiResponse<ClosedAreaCO> getCountByHgAuthArea();

    MultiResponse<ClosedAreaCO> listAllByJurisdictionalCorpId(Long id);

    MultiResponse<ClosedAreaCO> listTree(ClosedAreaPageQry qry);

    MultiResponse<ClosedAreaCO> listAllByhgAuthArea(String hgAuthArea);
}

